Skip to main content
PUT
/
api
/
v1
/
llm
/
feedback
/
completions
/
{id}
Typescript (SDK)
import { SDK } from "@meetkai/mka1";

const sdk = new SDK({
  bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});

async function run() {
  const result = await sdk.llm.feedback.updateCompletionFeedback({
    id: "chatcmpl-abc123def456",
    requestBody: {
      rating: "thumbs_down",
      description: "Could be more detailed.",
    },
  });

  console.log(result);
}

run();
{
  "id": "chatcmpl-abc123def456",
  "rating": "thumbs_down",
  "description": "Could be more detailed.",
  "createdAt": "2024-01-15T10:30:00Z",
  "updatedAt": "2024-01-16T10:30:00Z"
}

Authorizations

Authorization
string
header
required

Authenticate with your MKA1 API key at the API gateway: Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, also send X-On-Behalf-Of to identify the end user making the request.

Headers

X-On-Behalf-Of
string

Optional external user identifier for multi-user server-side integrations. Use this when acting on behalf of one of your end users.

Path Parameters

id
string
required

Request ID of the feedback to update

Body

application/json

Fields to update in the feedback. All fields are optional; only provided fields will be updated. Pass null to clear a field.

rating
enum<string> | null

Update the feedback rating. Pass null to clear the rating. Can be 'thumbs_up' or 'thumbs_down'.

Available options:
thumbs_up,
thumbs_down
description
string | null

Update the feedback description. Pass null to clear the description. Provide text to update with new feedback comments (max 2000 characters).

Maximum string length: 2000

Response

200 - application/json

OK

Response containing the updated feedback entry with new updatedAt timestamp.

id
string
required

The request ID that this feedback is associated with

rating
enum<string>

The feedback rating indicating user satisfaction

Available options:
thumbs_up,
thumbs_down
description
string

Optional detailed feedback description providing additional context or explanation (max 2000 characters)

Maximum string length: 2000
createdAt
string<date-time>

Timestamp when the feedback was created

updatedAt
string<date-time>

Timestamp when the feedback was last updated